### Signal

# SpiceClientGLib Session::channel-destroy

#### Declaration

    void
    channel_destroy (
      SpiceSession* self,
      SpiceChannel* channel,
      gpointer user_data
    )

#### Description [src]

The `SpiceSession::channel-destroy` signal is emitted each time a `SpiceChannel` is destroyed.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`channel`

  Type: `SpiceChannel`

  The destroyed `SpiceChannel`.

  The data is owned by the caller of the function.